/*
 * %W% %E%
 * 
 * Copyright (c) 1995, 1996 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 * CopyrightVersion 1.1_pre-beta
 */
package examples.stock;

import java.rmi.*;
import java.util.Date;

/**
 * The StockNotify remote interface is used to receive a stock
 * update.
 */
public interface StockNotify extends java.rmi.Remote {

    /**
     * Notification of stock updates for a particular time.
     * @param date the time of the stock update
     * @param stocks an array containing the stocks for which the
     * object has registered interest.
     * @exception RemoteException if a communication failure occurs
     */
    void update (Date date, Stock[] stocks) throws RemoteException;
}

    
